Bug 13625 - RenewalSendNotice setting should be reflected in messaging preferences descriptions
Summary: RenewalSendNotice setting should be reflected in messaging preferences descri...
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-26 17:54 UTC by Christopher Brannon
Modified: 2020-11-22 00:40 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 13625: Change messaging preferences descriptions according to RenewalSendNotice (3.56 KB, patch)
2020-09-21 22:10 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 13625: Change messaging preferences descriptions according to RenewalSendNotice (3.61 KB, patch)
2020-09-22 01:21 UTC, David Nind
Details | Diff | Splinter Review
Bug 13625: Change messaging preferences descriptions according to RenewalSendNotice (3.66 KB, patch)
2020-10-13 12:58 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Brannon 2015-01-26 17:54:21 UTC
When RenewalSendNotice is enabled(Send), it isn't reflected in messaging (opac-messaging.pl/moremember.pl).  The row marked as "Item checkout" should be updated to "Item checkout/renew".

Christopher
Comment 1 Katrin Fischer 2020-09-21 22:10:17 UTC
Created attachment 110518 [details] [review]
Bug 13625: Change messaging preferences descriptions according to RenewalSendNotice

Sending out renewal notices depends on the RenewalSendNotice and the
patron having the checkout notice checked in their messaging
preferences.

To test:
- Apply patch
- Take a look at the messaging preferences table on the following pages:
  - OPAC > patron account > your messaging tab
  - Staff interface > patron account > details tab
  - Staff interface > patron account > edit patron
- Toggle the RenewalSendNotice preferences
  - The label on the last notice should switch between "Item checkout"
    and "Item checkout and renewal" depending on the pref setting
Comment 2 David Nind 2020-09-22 01:21:32 UTC
Created attachment 110523 [details] [review]
Bug 13625: Change messaging preferences descriptions according to RenewalSendNotice

Sending out renewal notices depends on the RenewalSendNotice and the
patron having the checkout notice checked in their messaging
preferences.

To test:
- Apply patch
- Take a look at the messaging preferences table on the following pages:
  - OPAC > patron account > your messaging tab
  - Staff interface > patron account > details tab
  - Staff interface > patron account > edit patron
- Toggle the RenewalSendNotice preferences
  - The label on the last notice should switch between "Item checkout"
    and "Item checkout and renewal" depending on the pref setting

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Martin Renvoize 2020-10-13 12:58:17 UTC
Created attachment 111556 [details] [review]
Bug 13625: Change messaging preferences descriptions according to RenewalSendNotice

Sending out renewal notices depends on the RenewalSendNotice and the
patron having the checkout notice checked in their messaging
preferences.

To test:
- Apply patch
- Take a look at the messaging preferences table on the following pages:
  - OPAC > patron account > your messaging tab
  - Staff interface > patron account > details tab
  - Staff interface > patron account > edit patron
- Toggle the RenewalSendNotice preferences
  - The label on the last notice should switch between "Item checkout"
    and "Item checkout and renewal" depending on the pref setting

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2020-10-13 12:58:41 UTC
Trivial improvements, no regressions. Passing QA
Comment 5 Jonathan Druart 2020-10-14 12:53:31 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-11-13 14:50:52 UTC
enhancement will not be backported to 20.05.x